Skip to main content
inventory

Create an inventory custom field

Creates a custom field for inventory items in the studio the API key is issued for. The name must not already be used by a tag category or location category in the studio.

POST
/v1/inventory/custom-fields
beam-api-keystringheaderrequired

Body

application/json
currencyIdstring | null
defaultValuestring | null
descriptionstring | null
isSearchableboolean
isUniquebooleanrequired
namestringrequired
Minimum string length: 1
selectValuesobject[]
typeenum<string>required
Available options: text, select, description, date, email, number, checkbox, url, currency, signature, hyperlink

Response

application/json

The created custom field

customFieldobjectrequired